package com.scm.contract.dao.message;

import com.scm.contract.model.apply.LabelApplication;
import com.scm.contract.model.message.MessageCenter;
import com.set.direwolf.core.mybatis.CrudDao;
import com.set.direwolf.core.mybatis.MyBatisDao;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author zuo
 * @date 2024/6/17 14:54
 */
@MyBatisDao
public interface MessageCenterDao extends CrudDao<MessageCenter, String> {

    List<MessageCenter> list();

    List<MessageCenter> listByIds(@Param("ids") List<String> ids);

    int saveOrUpdateBash(@Param("messageCenters") List<MessageCenter> messageCenters);
}
