package com.scm.contract.dao.print;

import com.scm.contract.model.print.ReprintCodeDetail;
import com.scm.contract.model.print.SerialNumberRange;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author zuo
 * @date 2024/7/31 14:58
 */
@Mapper
public interface ReprintCodeDetailDao {

    List<SerialNumberRange> getSerialNumberRange(@Param("ids")List<String> ids);

    Boolean saveBash(@Param("reprintCodeDetails") List<ReprintCodeDetail> reprintCodeDetails);

    List<ReprintCodeDetail> getListByReprintCodeIds(@Param("reprintCodeIds") List<String> reprintCodeIds);

    List<ReprintCodeDetail> getListByPrintCodeIds(@Param("printCodeIds")List<String> printCodeIds);

    Boolean deleteByIds(@Param("ids")List<String> ids);

    Boolean deleteByReprintCodeId(@Param("reprintCodeId")String reprintCodeId);

}
