package com.scm.contract.model.apply;

import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.web.multipart.MultipartFile;

/**
 * @author zuo
 * @date 2024/6/7 14:58
 */
@Data
public class LabelApplicationDataImport {

    @ApiModelProperty(value = "供应商id")
    @TableField
    private String providerId;

    @ApiModelProperty(value = "导入文件")
    @TableField(exist = false)
    private MultipartFile file;

    public LabelApplicationDataImport() {
    }

    public String getProviderId() {
        return providerId;
    }

    public void setProviderId(String providerId) {
        this.providerId = providerId;
    }

    public MultipartFile getFile() {
        return file;
    }

    public void setFile(MultipartFile file) {
        this.file = file;
    }
}
