package com.scm.contract.web.apply;

import com.scm.contract.service.apply.DictionaryLabelApplicationStatusService;
import com.scm.contract.service.apply.DictionaryTagTypeService;
import com.set.direwolf.core.web.OperationResult;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;

/**
 * @author zuo
 * @date 2024/6/4 17:43
 */

@Controller
@RequestMapping("${adminPath}/tag/type")
public class DictionaryTagTypeController {

    @Autowired
    private DictionaryTagTypeService tagTypeService;


    @PostMapping("/list")
    public @ResponseBody OperationResult List() {
        return OperationResult.buildSuccessResult("获取标签状态信息成功", tagTypeService.list());
    }
}
