/*
 * Copyright 2015-2020 All rights reserved.
 */
package com.scm.api.feign.factory.contract.common;

import org.springframework.stereotype.Component;

import com.scm.api.feign.contract.common.RmTOperatingLogService;
import com.scm.api.feign.fallback.contract.common.RmTOperatingLogServiceFallbackImpl;

import feign.hystrix.FallbackFactory;

/**
 * <pre>
 * ----auto generated-------
 * 日志信息Feign调用异常捕捉工厂
 * </pre>
 *
 * @author wangning
 * @version 2020-04-29 09:58:09
 */
@Component
public class RmTOperatingLogServiceFallbackFactory implements FallbackFactory<RmTOperatingLogService> {

    @Override
    public RmTOperatingLogService create(Throwable throwable) {
        RmTOperatingLogServiceFallbackImpl service = new RmTOperatingLogServiceFallbackImpl();
        service.setCause(throwable);
        return service;
    }

}