package com.scm.contract.dao.apply;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.scm.contract.model.apply.DictionaryLabelApplicationStatus;
import com.scm.contract.model.apply.DictionaryTagType;
import org.apache.ibatis.annotations.Param;
import org.mapstruct.Mapper;

import java.util.List;

/**
 * @author zuo
 * @date 2024/6/5 11:19
 */

@Mapper
public interface DictionaryTagTypeDao extends BaseMapper<DictionaryTagType> {

    List<DictionaryTagType> listByIds(@Param("ids") List<String> ids);

    List<DictionaryTagType> list();
}
