package com.scm.contract.dao.management;

import com.scm.contract.model.management.Provider;
import com.set.direwolf.core.mybatis.CrudDao;
import com.set.direwolf.core.mybatis.MyBatisDao;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author zuo
 * @date 2024/6/7 11:03
 */

@MyBatisDao
public interface ProviderDao extends CrudDao<Provider, String> {

    List<Provider> list();

    List<Provider> listByIds(@Param("ids") List<String> ids);
}
