package com.scm.contract.dao.purchase;

import com.scm.contract.model.purchase.TagPurchase;
import com.set.direwolf.core.mybatis.CrudDao;
import com.set.direwolf.core.mybatis.MyBatisDao;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author zuo
 * @date 2024/6/4 17:54
 */
@MyBatisDao
public interface TagPurchaseDao extends CrudDao<TagPurchase, String> {
    void tagPurchaseStateIdUpdate(@Param("ids") List<String> ids, @Param("tagPurchaseStateId") String tagPurchaseStateId);

    int save(@Param("data") TagPurchase data);

    TagPurchase getById(@Param("id") String id);

    List<TagPurchase> getByIds(@Param("ids") List<String> ids);

    String getMaxOrderNo();
}
