package com.scm.contract.dao.quartz;

import java.util.List;

import com.scm.contract.model.quartz.QuartzJob;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;


import com.baomidou.mybatisplus.core.mapper.BaseMapper;

/**
 * @Description: 定时任务在线管理
 * @Author: jeecg-boot
 * @Date:  2019-01-02
 * @Version: V1.0
 */

@Mapper
public interface QuartzJobDao extends BaseMapper<QuartzJob> {

	public List<QuartzJob> findByJobClassName(@Param("jobClassName") String jobClassName);

	List<QuartzJob> listByOpenJob(@Param("status") Integer status, @Param("delFlag") Integer delFlag);
}
