package com.scm.contract.service.apply;

import com.scm.contract.dao.apply.DictionaryShippingMethodDao;
import com.scm.contract.model.apply.DictionaryShippingMethod;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @author zuo
 * @date 2024/6/12 12:18
 */
@Service
public class DictionaryShippingMethodService {

    @Autowired
    private DictionaryShippingMethodDao shippingMethodDao;

    public List<DictionaryShippingMethod> listByIds(List<String> ids) {
        return shippingMethodDao.listByIds(ids);
    }

    public List<DictionaryShippingMethod> list() {
        return this.shippingMethodDao.list();
    }
}
