package com.scm.contract.service.apply;

import com.baomidou.mybatisplus.core.toolkit.CollectionUtils;
import com.scm.contract.dao.apply.DictionaryTagTypeDao;
import com.scm.contract.model.apply.DictionaryTagType;
import com.scm.contract.model.apply.LabelApplication;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * @author zuo
 * @date 2024/6/5 11:18
 */
@Service
public class DictionaryTagTypeService {

    @Autowired
    private DictionaryTagTypeDao tagTypeDao;

    public List<DictionaryTagType> listByIds(List<String> ids) {
        return tagTypeDao.listByIds(ids);
    }

    public List<DictionaryTagType> list() {
        return this.tagTypeDao.list();
    }

}
