package com.scm.contract.service.print;

import com.scm.contract.dao.print.PrintStatusDao;
import com.scm.contract.model.print.DictionaryPrintStatus;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
/**
 * @author zuo
 * @date 2024/6/5 11:18
 */
@Service
public class DictionaryPrintStatusService {

    @Autowired
    private PrintStatusDao printStatusDao;

    public List<DictionaryPrintStatus> listByIds(List<String> ids) {
        return this.printStatusDao.listByIds(ids);
    }

    public List<DictionaryPrintStatus> list() {
        return this.printStatusDao.list();
    }

}
