package com.scm.contract.web.management;

import com.scm.api.contract.entity.common.TOperatingLog;
import com.scm.contract.model.management.MaterielCategory;
import com.scm.contract.service.management.MaterielCategoryService;
import com.set.direwolf.core.web.OperationResult;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.*;

/**
 * @author zuo
 * @date 2024/6/14 14:28
 */
@Controller
@RequestMapping("${adminPath}/materiel/category")
public class MaterielCategoryController {

    @Autowired
    private MaterielCategoryService materielCategoryService;


    @PostMapping("/list")
    public @ResponseBody OperationResult getListBy(@RequestBody MaterielCategory entity) {
        return OperationResult.buildSuccessResult("获取物料分类信息成功", materielCategoryService.getListBy(entity));
    }
}
