package com.scm.contract.web.purchase;

import com.scm.contract.service.purchase.DictionaryTagPurchaseStateService;
import com.set.direwolf.core.web.OperationResult;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;

/**
 * @author zuo
 * @date 2024/6/4 17:43
 */

@Controller
@RequestMapping("${adminPath}/tag/purchase/state")
public class DictionaryTagPurchaseStateController {

    @Autowired
    private DictionaryTagPurchaseStateService tagPurchaseStateService;


    @PostMapping("/list")
    public @ResponseBody OperationResult List() {
        return OperationResult.buildSuccessResult("获取采购订单状态信息成功", tagPurchaseStateService.list());
    }
}
